<?php
	require_once('./files/functions.php');
	
	$user->IsLogged();
	$user->IsBanned();
?>
<!DOCTYPE html>
<html lang="en">



	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="Social Panel">
		<meta name="author" content="Social Panel">
		<link rel="shortcut icon" href="images/favicon.png">
		<title><?php echo($WebsiteName); ?></title>
		<link href="bs3/css/bootstrap.min.css" rel="stylesheet">
		<link href="js/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
		<link href="css/bootstrap-reset.css" rel="stylesheet">
		<link href="css/table-responsive.css" rel="stylesheet" />
		<link href="font-awesome/css/font-awesome.css" rel="stylesheet">
		<link href="js/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">
		<link href="css/clndr.css" rel="stylesheet">
		<link href="js/css3clock/css/style.css" rel="stylesheet">
		<link href="css/style.css" rel="stylesheet">
		<link href="css/loader.css" rel="stylesheet"/>
		<link href="css/style-responsive.css" rel="stylesheet"/>
		<link rel="stylesheet" href="css/jquery.steps.css?1">
		
		<!--[if lt IE 9]>
			<script src="js/ie8-responsive-file-warning.js"></script><![endif]-->
		<!--[if lt IE 9]>
			<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
			<script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
		<![endif]-->
	</head>
	<body>
		<section id="container">
			<header class="header fixed-top clearfix">
				<div class="brand">
					<a href="index.php" class="logo">
						<img src="images/logo.png" style="margin-top: -23px;" width="170px" height="80px" alt="">
					</a>
					<div class="sidebar-toggle-box">
						<div class="fa fa-bars"></div>
					</div>
				</div>
				<div class="nav notify-row" id="top_menu">
					<ul class="nav top-menu">
						<li id="header_notification_bar" class="dropdown">
							<a data-toggle="dropdown" class="dropdown-toggle" href="#">
							<i class="fa fa-bell-o"></i>
							<span class="badge bg-warning">
								<?php
									$stmt = $pdo->prepare('SELECT * FROM categories');
									$stmt->execute();
									
									echo $stmt->rowCount();
								?>
							</span>
							</a>
							<ul class="dropdown-menu extended notification">
								<li>
									<p>Categories</p>
								</li>
								
								<?php
									if($stmt->rowCount() > 0) {
										foreach($stmt->fetchAll() as $row) {
											$html = '<li>';
											$html .= '<div class="alert alert-info clearfix">';
											$html .= '<span class="alert-icon"><i class="fa fa-flag"></i></span>';
											$html .= '<div class="noti-info">';
											$html .= 'Category #'.$row['CategoryID'].' '.$row['CategoryName'].'';
											$html .= '</div>';
											$html .= '</div>';
											$html .= '</li>';
											
											echo $html;
										}
									} else {
										$html = '<li>';
										$html .= '<div class="alert alert-danger clearfix">';
										$html .= '<span class="alert-icon"><i class="fa fa-flag"></i></span>';
										$html .= '<div class="noti-info">';
										$html .= '<a href="#"> There are no available categories.</a>';
										$html .= '</div>';
										$html .= '</div>';
										$html .= '</li>';
										
										echo $html;
									}
								?>
							</ul>
						</li>
					</ul>
				</div>
				<div class="top-nav clearfix">
					<ul class="nav pull-right top-menu">
						<li class="dropdown">
							<a data-toggle="dropdown" class="dropdown-toggle" href="#">
							<?php
								$user->GetImage(false, 29, 29);
							?>
							<span class="username"><?php $UserFunds = $user->GetData('UserFunds'); echo(ucfirst($user->GetData('UserName'))); ?></span>
							<b class="caret"></b>
							</a>
							<ul class="dropdown-menu extended logout">
								<li><a href="deposit.php"><i class=" fa fa-dollar"></i>Funds: $<?php echo round($UserFunds, 2); ?></a></li>
								<li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
								<li><a href="logout.php"><i class="fa fa-key"></i> Log Out</a></li>
							</ul>
						</li>
					</ul>
				</div>
			</header>
			<aside>
				<div id="sidebar" class="nav-collapse">
					<div class="leftside-navigation">
						<ul class="sidebar-menu" id="nav-accordion">
							<li>
								<a href="index.php">
								<i class="fa fa-dashboard"></i>
								<span>Place an Order</span>
								</a>
							</li>

							
							
							<li>
								<a href="support2.php">
								<i class="fa fa-dashboard"></i>
								<span>Automatic Orders</span>
								</a>
							</li>
							<li>
								<a href="orders.php">
								<i class="fa fa-shopping-cart"></i>
								<span>Order History</span>
								</a>
							</li>
							<li>
								<a href="deposit.php">
								<i class="fa fa-usd"></i>
								<span>Deposit Funds</span>
								</a>
							</li>
							<li>
								<a href="support.php">
								<i class="fa fa-comment"></i>
								<span>Support Centre</span>
								</a>
							</li>
<li>
								<a href="news.php">
								<i class="fa fa-comment"></i>
								<span>FAQ</span>
								</a>
							</li>




							<?php
								$UserLevel = $user->GetData('UserLevel');
								if($UserLevel == 'admin') {
									$html = '<li class="sub-menu">';
									$html .= '<a href="javascript:;">';
									$html .= '<i class=" fa fa-legal"></i>';
									$html .= '<span>Administration</span>';
									$html .= '</a>';
									$html .= '<ul class="sub">';
									$html .= '<li><a href="administration.php">Administration [1 Page]</a></li>';
									$html .= '<li><a href="administration-1.php">Administration [2 Page]</a></li>';
									$html .= '</ul>';
									$html .= '</li>';
									
									echo $html;
								}
							?>
						</ul>
					</div>
				</div>
			</aside>