<?php
	require_once('./files/header.php');
?>
<section id="main-content">
	<section class="wrapper">
		<div class="row">
			<div class="col-md-3">
				<div class="mini-stat clearfix">
					<span class="mini-stat-icon orange"><i class="fa fa-gavel"></i></span>
					<div class="mini-stat-info">
						<span>
							<?php
								$UserID = $user->GetData('UserID');
								
								$stmt = $pdo->prepare('SELECT * FROM orders WHERE OrderUserID = :OrderUserID');
								$stmt->bindParam(':OrderUserID', $UserID);
								$stmt->execute();
								
								echo $stmt->rowCount();
							?>
						</span>
						Account Orders
					</div>
				</div>
			</div>
			<div class="col-md-3">
				<div class="mini-stat clearfix">
					<span class="mini-stat-icon tar"><i class="fa fa-tag"></i></span>
					<div class="mini-stat-info">
						<span>
							<?php
								$stmt = $pdo->prepare('SELECT * FROM products');
								$stmt->execute();
								
								echo $stmt->rowCount();
							?>
						</span>
						Offered services
					</div>
				</div>
			</div>
			<div class="col-md-3">
				<div class="mini-stat clearfix">
					<span class="mini-stat-icon pink"><i class="fa fa-money"></i></span>
					<div class="mini-stat-info">
						<span>
							<?php
								$stmt = $pdo->prepare('SELECT * FROM orders');
								$stmt->execute();
								
								echo $stmt->rowCount();
							?>
						</span>
						Total Orders
					</div>
				</div>
			</div>
			<div class="col-md-3">
				<div class="mini-stat clearfix">
					<span class="mini-stat-icon green"><i class="fa fa-eye"></i></span>
					<div class="mini-stat-info">
						<span>
							<?php
								$stmt = $pdo->prepare('SELECT * FROM users');
								$stmt->execute();
								
								echo $stmt->rowCount();
							?>
						</span>
						Total Users
					</div>
				</div>
			</div>
		</div>
		
		<!-- Support Page -->

		<div class="row">
			<div class="col-sm-12">
				<section class="panel">
					<header class="panel-heading">
						<B>Support will now be dealt with using the Live Chat/Email Box (Bottom right of your screen)</B>
					</header>
					<div class="panel-body">
						<form class="form-horizontal bucket-form" method="POST">




<!--Start of Tawk.to Script-->
<script type="text/javascript">
var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
(function(){
var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
s1.async=true;
s1.src='https://embed.tawk.to/5819faa9e808d60cd07730cc/default';
s1.charset='UTF-8';
s1.setAttribute('crossorigin','*');
s0.parentNode.insertBefore(s1,s0);
})();
</script>
<!--End of Tawk.to Script-->
							
						<div id="support-result"></div>
					</div>
				</section>
			</div>
			
			<div class="col-sm-12">
				<section class="panel">
					<header class="panel-heading">
						Support Tickets
					</header>
					<div class="panel-body">
						<?php
							$UserID = $user->GetData('UserID');
							
							$stmt = $pdo->prepare('SELECT * FROM support WHERE SupportUserID = :SupportUserID ORDER BY SupportID DESC');
							$stmt->bindParam(':SupportUserID', $UserID);
							$stmt->execute();
							
							if($stmt->rowCount() > 0) {
						?>
							<section id="unseen">
								<table class="table table-striped table-hover table-bordered" id="editable-sample">
									<thead>
										<tr>
											<th>Ticket Title</th>
											<th>Ticket Message</th>
											<th>Ticket Date</th>
											<th>Ticket Reply</th>
										</tr>
									</thead>
									<tbody>
										<?php
											$html = '';
											foreach($stmt->fetchAll() as $row) {
												if(empty($row['SupportReply'])) {
													$reply = '<i>Waiting for reply..</i>';
												} else {
													$reply = $row['SupportReply'];
												}
												$html .= '<tr class="">';
												$html .= '<td>'.$row['SupportTitle'].'</td>';
												$html .= '<td>'.$row['SupportMessage'].'</td>';
												$html .= '<td>'.date('d M, Y h:I:s', $row['SupportDate']).'</td>';
												$html .= '<td>'.$reply.'</td>';
												$html .= '</tr>';
											}
											
											echo $html;
										?>
									</tbody>
								</table>
							</section>
						<?php
							} else {
								$display->ReturnInfo('There are no opened tickets for your account.');
							}
						?>
					</div>
				</section>
			</div>
		</div>
	</section>
</section>
<?php
	require_once('./files/footer.php');
?>
<script>
$(document).ready(function() {
	$('#bitcoin').click(function() {
		var amount = $('#amount').val();
		var dataString = 'action=bitcoin-deposit&amount='+amount;
		
		$.ajax({
			type: "POST",
			url: "responds.php",
			data: dataString,
			cache: false,
			success: function(data){
				if(data) {
					$('#result').html(data);
				}
			}
		});
		
		return false;
	});
});
</script>